/**
 * 
 */
package oeg.merero.recommenders;

import java.util.List;

import org.recommender101.data.DataModel;

/**
 * @author oescamil
 *
 */
public class MaxMSERecommender extends AbstractTestRecommender {
	static final long serialVersionUID = 108152434558655334L;
	
	
	/* (non-Javadoc)
	 * @see org.recommender101.recommender.AbstractRecommender#predictRating(int, int)
	 */
	@Override
	public float predictRating(int user, int item) {
		DataModel origModel = this.getOriginalDataModel();
		float r_ui = origModel.getRating(user, item);

		if(r_ui <= -1){
			return Float.NaN;
		}
		
		return (r_ui <= r_med)?r_max:r_min;
	}

	
	
}
