package oeg.rs.utils;

public class ManhattanDistnce {

	public ManhattanDistnce() {
	}

  /**
   * Compute the Manhattan distance between the specified source
   * string and the specified target string.
   */
	public float calc(Integer[] source, Integer[] target) {
		
		int distance = 0;
		
		int maxSize = Math.max(source.length, target.length);
		for (int i = 0; i < maxSize; i++) {
			
			int sourceVal = 0;
			if(source.length > i ) {
				sourceVal = source[i];
			}
				
			int targetVal = 0;
			if(target.length > i ) {
				targetVal = target[i];
			}
			
			float tmpDiff = Math.abs(targetVal - sourceVal);
			distance += tmpDiff;
		}
		
		return distance;
		
	}
}
